# remirepo spec file for php-pecl-imagick
#
# SPDX-FileCopyrightText:  Copyright 2008-2025 Remi Collet
# SPDX-License-Identifier: CECILL-2.1
# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
#
# Please, preserve the changelog entries
#

%bcond_without tests
%bcond_with    im6

# Distribution default IM version
%if 0%{?fedora} >= 38 || 0%{?rhel} >= 10
%global default 7
%else
%global default 6
%endif

# NOTICE: 2 builds needed to get the full set
# All distro
#   default (im7)
# On EL 8 and 9
#   --with im6

%if 0%{?scl:1}
%scl_package php-pecl-imagick
%else
%global _root_prefix %{_prefix}
%endif

%global gh_commit   623a3ac0386c93d62c60cbfe610505f2e35780f3
%global gh_short    %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner    imagick
%global gh_project  imagick
%global pecl_name   imagick
%global with_zts    0%{!?_without_zts:%{?__ztsphp:1}}
%global ini_name    40-%{pecl_name}.ini
%global upstream_version 3.8.0
%global upstream_prever  RC2
%global sources          %{pecl_name}-%{upstream_version}%{?upstream_prever}
%global _configure       ../%{sources}/configure

%if %{with im6}
Summary:       Extension to create and modify images using ImageMagick 6
Name:          %{?scl_prefix}php-pecl-imagick-im6
%else
Summary:       Extension to create and modify images using ImageMagick 7
Name:          %{?scl_prefix}php-pecl-imagick-im7
%endif
Version:       %{upstream_version}%{?upstream_prever:~%{upstream_prever}}
Release:       1%{?dist}%{!?scl:%{!?nophptag:%(%{__php} -r 'echo ".".PHP_MAJOR_VERSION.".".PHP_MINOR_VERSION;')}}
Source0:       https://pecl.php.net/get/%{pecl_name}-%{upstream_version}%{?upstream_prever}.tgz
License:       PHP-3.01
URL:           https://pecl.php.net/package/imagick

BuildRequires: make
BuildRequires: %{?dtsprefix}gcc
BuildRequires: %{?scl_prefix}php-devel
BuildRequires: %{?scl_prefix}php-pear
%if %{with im6}
BuildRequires: ImageMagick6-devel
%else
BuildRequires: ImageMagick7-devel
%endif

Requires:      %{?scl_prefix}php(zend-abi) = %{php_zend_api}
Requires:      %{?scl_prefix}php(api) = %{php_core_api}

%if %{with im6}
Provides:      %{?scl_prefix}php-%{pecl_name}               = %{version}
Provides:      %{?scl_prefix}php-%{pecl_name}%{?_isa}       = %{version}
Provides:      %{?scl_prefix}php-pecl-imagick               = %{version}-%{release}
Provides:      %{?scl_prefix}php-pecl-imagick%{?_isa}       = %{version}-%{release}
%else
Provides:      %{?scl_prefix}php-%{pecl_name}               = 1:%{version}
Provides:      %{?scl_prefix}php-%{pecl_name}%{?_isa}       = 1:%{version}
Provides:      %{?scl_prefix}php-pecl-imagick               = 1:%{version}-%{release}
Provides:      %{?scl_prefix}php-pecl-imagick%{?_isa}       = 1:%{version}-%{release}
%endif
Provides:      %{?scl_prefix}php-pecl(%{pecl_name})         = %{version}
Provides:      %{?scl_prefix}php-pecl(%{pecl_name})%{?_isa} = %{version}

Conflicts:     %{?scl_prefix}php-pecl-gmagick
%if %{with im6}
Conflicts:     %{?scl_prefix}php-pecl-imagick-im7    <= %{version}-%{release}
%if %{default} == 6
Obsoletes:     %{?scl_prefix}php-pecl-imagick        <= %{version}-%{release}
%else
Conflicts:     %{?scl_prefix}php-pecl-imagick        <= %{version}-%{release}
%endif
%else
Conflicts:     %{?scl_prefix}php-pecl-imagick-im6    <= %{version}-%{release}
%if %{default} == 7
Obsoletes:     %{?scl_prefix}php-pecl-imagick        <= %{version}-%{release}
%else
Conflicts:     %{?scl_prefix}php-pecl-imagick        <= %{version}-%{release}
%endif
%endif

%description
Imagick is a native php extension to create and modify images
using the ImageMagick API.

Documentation: https://www.php.net/imagick

%if %{with im6}
Package built using ImageMagick version 6
%else
Package built using ImageMagick version 7
%endif
Package built for PHP %(%{__php} -r 'echo PHP_MAJOR_VERSION.".".PHP_MINOR_VERSION;')%{?scl: as Software Collection (%{scl} by %{?scl_vendor}%{!?scl_vendor:rh})}.


%package devel
Summary:       %{pecl_name} extension developer files (header)
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}
Requires:      %{?scl_prefix}php-devel%{?_isa}

%if %{with im6}
Conflicts:     %{?scl_prefix}php-pecl-imagick-im7-devel
%if %{default} == 6
Obsoletes:     %{?scl_prefix}php-pecl-imagick-devel         < %{version}-%{release}
%else
Conflicts:     %{?scl_prefix}php-pecl-imagick-devel         < %{version}-%{release}
%endif
%else
Conflicts:     %{?scl_prefix}php-pecl-imagick-im6-devel
%if %{default} == 7
Obsoletes:     %{?scl_prefix}php-pecl-imagick-devel         < %{version}-%{release}
%else
Conflicts:     %{?scl_prefix}php-pecl-imagick-devel         < %{version}-%{release}
%endif
%endif
Provides:      %{?scl_prefix}php-pecl-imagick-devel         = %{version}-%{release}
Provides:      %{?scl_prefix}php-pecl-imagick-devel%{?_isa} = %{version}-%{release}

%description devel
These are the files needed to compile programs using %{pecl_name} extension.


%prep
%setup -q -c

# don't install any font (and test using it)
# don't install empty file (d41d8cd98f00b204e9800998ecf8427e)
sed -e '/anonymous_pro_minus.ttf/d' \
    -e '/015-imagickdrawsetresolution.phpt/d' \
    -e '/OFL.txt/d' \
    -e '/LICENSE/s/role="doc"/role="src"/' \
    -i package.xml

if grep '\.ttf' package.xml
then : "Font files detected!"
     exit 1
fi

cd %{sources}
: Avoid arginfo to be regenerated
rm *.stub.php

: Fix permission for archive generated on Windows
find . -type f -exec chmod -x {} \;

extver=$(sed -n '/#define PHP_IMAGICK_VERSION/{s/.* "//;s/".*$//;p}' php_imagick.h)
if test "x${extver}" != "x%{upstream_version}%{?upstream_prever}"; then
   : Error: Upstream version is ${extver}, expecting %{upstream_version}%{?upstream_prever}.
   exit 1
fi
cd ..

cat > %{ini_name} << 'EOF'
; Enable %{pecl_name} extension module
extension = %{pecl_name}.so

; Documentation: http://php.net/imagick

; Don't check builtime and runtime versions of ImageMagick
imagick.skip_version_check=1

; Fixes a drawing bug with locales that use ',' as float separators.
;imagick.locale_fix=0

; Used to enable the image progress monitor.
;imagick.progress_monitor=0

; multi-thread management
;imagick.set_single_thread => 1 => 1
;imagick.shutdown_sleep_count => 10 => 10

; to allow null images
;imagick.allow_zero_dimension_images => 0 => 0
EOF

mkdir NTS
%if %{with_zts}
mkdir ZTS
%endif


%build
%{?dtsenable}

cd %{sources}
%{__phpize}
[ -f Makefile.global ] && GLOBAL=Makefile.global || GLOBAL=build/Makefile.global
sed -e 's/INSTALL_ROOT/DESTDIR/' -i $GLOBAL

: Standard NTS build
cd ../NTS
%configure --with-imagick=%{_root_prefix} --with-php-config=%{__phpconfig}
%make_build

: Dump REFLECTION and PHPINFO
%{__php} --no-php-ini \
    --define extension=modules/%{pecl_name}.so \
    --define imagick.skip_version_check=1 \
    --re imagick >../REFLECTION
%{__php} --no-php-ini \
    --define extension=modules/%{pecl_name}.so \
    --define imagick.skip_version_check=1 \
    --ri imagick >../PHPINFO

%if %{with_zts}
: ZTS build
cd ../ZTS
%configure --with-imagick=%{_root_prefix} --with-php-config=%{__ztsphpconfig}
%make_build
%endif


%install
%{?dtsenable}

%make_install -C NTS

# Drop in the bit of configuration
install -D -m 644 %{ini_name} %{buildroot}%{php_inidir}/%{ini_name}

# Install XML package description
install -D -p -m 644 package.xml %{buildroot}%{pecl_xmldir}/%{name}.xml

%if %{with_zts}
%make_install -C ZTS
install -D -m 644 %{ini_name} %{buildroot}%{php_ztsinidir}/%{ini_name}
%endif

# Test & Documentation
cd %{sources}
for i in $(grep 'role="test"' ../package.xml | sed -e 's/^.*name="//;s/".*$//')
do [ -f $i ]          && install -Dpm 644 $i          %{buildroot}%{pecl_testdir}/%{pecl_name}/$i
   [ -f tests/$i ]    && install -Dpm 644 tests/$i    %{buildroot}%{pecl_testdir}/%{pecl_name}/tests/$i
done
for i in $(grep 'role="doc"' ../package.xml | sed -e 's/^.*name="//;s/".*$//')
do [ -f $i ]          &&  install -Dpm 644 $i          %{buildroot}%{pecl_docdir}/%{pecl_name}/$i
   [ -f examples/$i ] &&  install -Dpm 644 examples/$i %{buildroot}%{pecl_docdir}/%{pecl_name}/examples/$i
done


%check
cd %{sources}
export REPORT_EXIT_STATUS=1

# very long, and erratic results, sometime timeout
rm tests/229_Tutorial_fxAnalyzeImage_case1.phpt
rm tests/244_Tutorial_psychedelicFontGif_basic.phpt
# very long, and erratic results, sometime segfault on shutdown (EL-7/8)
rm tests/073_Imagick_forwardFourierTransformImage_basic.phpt
rm tests/086_Imagick_forwardFourierTransformImage_basic.phpt

: simple module load test for NTS extension
%{__php} --no-php-ini \
    --define extension_dir=%{buildroot}%{php_extdir} \
    --define extension=%{pecl_name}.so \
    --modules | grep '^%{pecl_name}$'

%if %{with tests}
: upstream test suite for NTS extension
TEST_PHP_EXECUTABLE=%{__php} \
TEST_PHP_ARGS="-n -d extension=%{buildroot}%{php_extdir}/%{pecl_name}.so" \
%if "%{php_version}" > "7.4"
%{__php} -n run-tests.php -q --show-diff %{?_smp_mflags}
%else
%{__php} -n run-tests.php -q --show-diff
%endif

if [ -f %{php_extdir}/%{pecl_name}.so ]; then
  # Only if same version
  if %{__php} -n -d extension=%{pecl_name} -r 'exit(phpversion("%{pecl_name}")==="%{upstream_version}%{?upstream_prever}" ? 0 : 1);'
  then
    : upstream test suite for extension built with previous version
    %{__php} --ri imagick
    TEST_PHP_ARGS="-n -d extension=%{pecl_name}" \
    %{__php} -n run-tests.php -q --show-diff %{?_smp_mflags}
  fi
fi
%endif

%if %{with_zts}
: simple module load test for ZTS extension
%{__ztsphp} --no-php-ini \
    --define extension_dir=%{buildroot}%{php_ztsextdir} \
    --define extension=%{pecl_name}.so \
    --modules | grep '^%{pecl_name}$'
%endif


%files
%license %{sources}/LICENSE
%doc %{pecl_docdir}/%{pecl_name}
%{pecl_xmldir}/%{name}.xml

%config(noreplace) %{php_inidir}/%{ini_name}
%{php_extdir}/%{pecl_name}.so

%if %{with_zts}
%config(noreplace) %{php_ztsinidir}/%{ini_name}
%{php_ztsextdir}/%{pecl_name}.so
%endif

%files devel
%doc REFLECTION
%doc PHPINFO
%doc %{pecl_testdir}/%{pecl_name}
%{php_incldir}/ext/%{pecl_name}

%if %{with_zts}
%{php_ztsincldir}/ext/%{pecl_name}
%endif


%changelog
* Fri Mar 14 2025 Remi Collet <remi@remirepo.net> - 3.8.0~RC2-1
- update to 3.8.0RC2
- open https://github.com/Imagick/imagick/issues/723 test failure with PHP 5.x
- open https://github.com/Imagick/imagick/issues/724 erratic segfault in subImageMatch

* Mon Dec 23 2024 Remi Collet <remi@remirepo.net> - 3.7.0-13
- re-license spec file to CECILL-2.1
- im7 by default, change using --with im6 build option

* Thu Nov 21 2024 Remi Collet <remi@remirepo.net> - 3.7.0-12
- drop unneeded build dependency

* Fri Sep 27 2024 Remi Collet <remi@remirepo.net> - 3.7.0-11
- add patch for PHP 8.4 from
  https://github.com/Imagick/imagick/pull/690

* Mon Feb 12 2024 Remi Collet <remi@remirepo.net> - 3.7.0-10
- add upstream patch for test suite with recent IM versions

* Wed Aug 30 2023 Remi Collet <remi@remirepo.net> - 3.7.0-9
- rebuild for PHP 8.3.0RC1

* Wed Jul 12 2023 Remi Collet <remi@remirepo.net> - 3.7.0-8
- build out of sources tree

* Fri Mar 10 2023 Remi Collet <remi@remirepo.net> - 3.7.0-7
- rebuild with latest ImageMagick 6/7

* Thu Sep  1 2022 Remi Collet <remi@remirepo.net> - 3.7.0-2
- rebuild for PHP 8.2.0RC1

* Wed Jan 12 2022 Remi Collet <remi@remirepo.net> - 3.7.0-1
- update to 3.7.0

* Wed Jan  5 2022 Remi Collet <remi@remirepo.net> - 3.7.0~RC1-1
- update to 3.7.0RC1

* Mon Nov 22 2021 Remi Collet <remi@remirepo.net> - 3.6.0-2
- rebuild with latest ImageMagick 6/7

* Wed Nov 17 2021 Remi Collet <remi@remirepo.net> - 3.6.0-1
- update to 3.6.0

* Fri Nov 12 2021 Remi Collet <remi@remirepo.net> - 3.6.0~RC2-1
- update to 3.6.0RC2

* Wed Nov 10 2021 Remi Collet <remi@remirepo.net> - 3.6.0~RC1-1
- update to 3.6.0RC1
- drop patch merged upstream

* Fri Nov  5 2021 Remi Collet <remi@remirepo.net> - 3.5.1-4
- EL-9 build

* Mon Sep 20 2021 Remi Collet <remi@remirepo.net> - 3.5.1-3
- fix #457 failed test with ImageMagick 6.9.12-23 and 7.1.0-8
  using patch from https://github.com/Imagick/imagick/pull/458

* Wed Sep 01 2021 Remi Collet <remi@remirepo.net> - 3.5.1-2
- rebuild for 8.1.0RC1

* Fri Jul 23 2021 Remi Collet <remi@remirepo.net> - 3.5.1-1
- update to 3.5.1
- drop patch merged upstream

* Wed Jul 21 2021 Remi Collet <remi@remirepo.net> - 3.5.1~RC1-1
- update to 3.5.1RC1
- add patch for PHP 8.1.0beta1 from
  https://github.com/Imagick/imagick/pull/450

* Thu Jun 24 2021 Remi Collet <remi@remirepo.net> - 3.5.0-2
- add REFLECTION in package documentation

* Thu Jun 17 2021 Remi Collet <remi@remirepo.net> - 3.5.0-1
- update to 3.5.0
- open https://github.com/Imagick/imagick/pull/434 type issue related to HDRI
- open https://github.com/Imagick/imagick/pull/435 improve regen_arginfo
- open https://github.com/Imagick/imagick/pull/436 cleanup working directory

* Wed Jun 16 2021 Remi Collet <remi@remirepo.net> - 3.5.0~RC2-1
- update to 3.5.0RC2
- rename to php-pecl-imagick-im6 or php-pecl-imagick-im7
- drop all patches, all merged upstream including
  https://github.com/Imagick/imagick/pull/428 add stubs in package
  https://github.com/Imagick/imagick/pull/426 typo in type name
  https://github.com/Imagick/imagick/pull/425 fix pass by ref usage

* Tue Jun 15 2021 Remi Collet <remi@remirepo.net> - 3.5.0~RC1-1
- update to 3.5.0RC1
- drop all patches, all merged upstream
- add patch to fix some methods reflection from
  https://github.com/Imagick/imagick/pull/421

* Wed Jun  9 2021 Remi Collet <remi@remirepo.net> - 3.4.4-18
- add patches for PHP 8.1 from upstream and from
  https://github.com/Imagick/imagick/pull/413
- run tests in parallel (7.4+)

* Mon Feb 22 2021 Remi Collet <remi@remirepo.net> - 3.4.4-17
- build against ImageMagick6 and new soname

* Mon Jan 25 2021 Remi Collet <remi@remirepo.net> - 3.4.4-16
- add real fix for thread issue from
  https://github.com/Imagick/imagick/pull/375

* Mon Jan  4 2021 Remi Collet <remi@remirepo.net> - 3.4.4-15
- allow to use ImageMagick7 using --with im7 build option

* Wed Sep 30 2020 Remi Collet <remi@remirepo.net> - 3.4.4-14
- rebuild for PHP 8.0.0RC1

* Mon Sep 28 2020 Remi Collet <remi@remirepo.net> - 3.4.4-13
- add patch for test suite with PHP 8 from
  https://github.com/Imagick/imagick/pull/350 - simpler warning

* Fri Sep  4 2020 Remi Collet <remi@remirepo.net> - 3.4.4-12
- add patches for PHP 8 from upstream and
  https://github.com/Imagick/imagick/pull/346 - SPL always there
  https://github.com/Imagick/imagick/pull/347 - thread limit per request
  https://github.com/Imagick/imagick/pull/348 - single thread

* Tue Apr 21 2020 Remi Collet <remi@remirepo.net> - 3.4.4-11
- build against ImageMagick on EL-7

* Wed Apr  1 2020 Remi Collet <remi@remirepo.net> - 3.4.4-10
- drop dependency on ImageMagick6-libs for EL-7.8
  see https://github.com/remicollet/remirepo/issues/144

* Thu Feb 27 2020 Remi Collet <remi@remirepo.net> - 3.4.4-9
- rebuild

* Tue Oct 29 2019 Remi Collet <remi@remirepo.net> - 3.4.4-7
- add patch for latest ImageMagick from
  https://github.com/Imagick/imagick/pull/302

* Tue Sep 03 2019 Remi Collet <remi@remirepo.net> - 3.4.4-6
- rebuild for 7.4.0RC1

* Tue Jul 23 2019 Remi Collet <remi@remirepo.net> - 3.4.4-5
- add patch for PHP 7.4 from
  https://github.com/Imagick/imagick/pull/296
- re-enable test suite

* Tue Jul 23 2019 Remi Collet <remi@remirepo.net> - 3.4.4-4
- rebuild for 7.4.0beta1
- ignore test suite for now
  https://github.com/Imagick/imagick/issues/295

* Wed May 29 2019 Remi Collet <remi@remirepo.net> - 3.4.4-3
- rebuild

* Wed May 22 2019 Remi Collet <remi@remirepo.net> - 3.4.4-2
- cleanup

* Thu May  2 2019 Remi Collet <remi@remirepo.net> - 3.4.4-1
- update to 3.4.4

* Wed Apr 17 2019 Remi Collet <remi@remirepo.net> - 3.4.4~RC2-2
- update to 3.4.4RC2
- drop patches merged upstream

* Tue Apr 16 2019 Remi Collet <remi@remirepo.net> - 3.4.4~RC1-2
- test build for upstream changes

* Tue Apr 16 2019 Remi Collet <remi@remirepo.net> - 3.4.4~RC1-1
- update to 3.4.4RC1
- open https://github.com/mkoppanen/imagick/pull/274 missing file
- open https://github.com/mkoppanen/imagick/issues/275 bad stabililty
- open https://github.com/mkoppanen/imagick/issues/276 failed test on 32-bit
- open https://github.com/mkoppanen/imagick/pull/278 fix NTS build

* Fri Mar  8 2019 Remi Collet <remi@remirepo.net> - 3.4.3-15
- F30 build

* Mon Dec  3 2018 Remi Collet <remi@remirepo.net> - 3.4.3-14
- EL-8 build

* Thu Aug 16 2018 Remi Collet <remi@remirepo.net> - 3.4.3-13
- rebuild for 7.3.0beta2 new ABI

* Tue Jul 17 2018 Remi Collet <remi@remirepo.net> - 3.4.3-12
- rebuld for 7.3.0alpha4 new ABI

* Wed Jun 13 2018 Remi Collet <remi@remirepo.net> - 3.4.3-11
- rebuild against ImageMagick6 (6.9.10-0)

* Tue Jun  5 2018 Remi Collet <remi@remirepo.net> - 3.4.3-10
- rebuild

* Tue May 29 2018 Remi Collet <remi@remirepo.net> - 3.4.3-9
- rebuild against ImageMagick6 new soname (6.9.9-47)
- open https://github.com/mkoppanen/imagick/issues/247 segfault

* Tue Dec 26 2017 Remi Collet <remi@remirepo.net> - 3.4.3-8
- rebuild against latest ImageMagick
- use patch from https://github.com/mkoppanen/imagick/pull/221

* Wed Sep  6 2017 Remi Collet <remi@remirepo.net> - 3.4.3-7
- rebuild using ImageMagick on F27+

* Fri Aug 25 2017 Remi Collet <remi@remirepo.net> - 3.4.3-6
- rebuild using ImageMagick on F25+

* Sat Aug  5 2017 Remi Collet <remi@remirepo.net> - 3.4.3-5
- rebuild against ImageMagick6 new soname (6.9.9-5)

* Tue Jul 18 2017 Remi Collet <remi@remirepo.net> - 3.4.3-4
- rebuild for PHP 7.2.0beta1 new API

* Wed Jun 21 2017 Remi Collet <remi@fedoraproject.org> - 3.4.3-3
- rebuild for 7.2.0alpha2

* Tue May 30 2017 Remi Collet <remi@remirepo.net> - 3.4.3-2
- rebuild (for 7.2)

* Thu Feb  2 2017 Remi Collet <remi@remirepo.net> - 3.4.3-1
- Update to 3.4.3 (no change)

* Sun Jan 29 2017 Remi Collet <remi@remirepo.net> - 3.4.3-0.8.RC4
- rebuild against ImageMagick6 new soname (6.9.7-6)

* Thu Jan 26 2017 Remi Collet <remi@remirepo.net> - 3.4.3-0.7.RC4
- Update to 3.4.3RC4

* Tue Jan 24 2017 Remi Collet <remi@fedoraproject.org> - 3.4.3-0.6.RC3
- Update to 3.4.3RC3

* Wed Jan 18 2017 Remi Collet <remi@fedoraproject.org> - 3.4.3-0.5.RC2
- Update to 3.4.3RC2

* Sun Dec 11 2016 Remi Collet <remi@fedoraproject.org> - 3.4.3-0.4.RC1
- rebuild against ImageMagick6 (6.9.6-8)

* Thu Dec  1 2016 Remi Collet <remi@fedoraproject.org> - 3.4.3-0.3.RC1
- rebuild with PHP 7.1.0 GA

* Wed Sep 14 2016 Remi Collet <remi@fedoraproject.org> - 3.4.3-0.2.RC1
- rebuild for PHP 7.1 new API version

* Fri Jun 10 2016 Remi Collet <remi@fedoraproject.org> - 3.4.3-0.1.RC1
- Update to 3.4.3RC1
- ignore tests result with IM 6.9.4 because of
  https://github.com/mkoppanen/imagick/issues/158

* Mon Apr 25 2016 Remi Collet <remi@fedoraproject.org> - 3.4.2-1
- Update to 3.4.2

* Wed Mar 09 2016 Remi Collet <remi@fedoraproject.org> - 3.4.1-1
- Update to 3.4.1 (stable)

* Fri Mar  4 2016 Remi Collet <remi@fedoraproject.org> - 3.4.0-1
- update to 3.4.0 (stable)

* Sat Jan 30 2016 Remi Collet <remi@fedoraproject.org> - 3.4.0-0.6.RC6
- update to 3.4.0RC6

* Tue Jan 12 2016 Remi Collet <remi@fedoraproject.org> - 3.4.0-0.5.RC5
- update to 3.4.0RC5

* Sat Dec 26 2015 Remi Collet <remi@fedoraproject.org> - 3.4.0-0.4.RC4
- update to 3.4.0RC4

* Sun Dec 13 2015 Remi Collet <remi@fedoraproject.org> - 3.4.0-0.3.RC3
- update to 3.4.0RC3

* Fri Dec  4 2015 Remi Collet <remi@fedoraproject.org> - 3.4.0-0.2.RC2
- update to 3.4.0RC2

* Fri Dec  4 2015 Remi Collet <remi@fedoraproject.org> - 3.4.0-0.1.RC1
- update to 3.4.0RC1

* Fri Dec  4 2015 Remi Collet <remi@fedoraproject.org> - 3.3.1-0.1.20151204git623a3ac
- rebuild as 3.3.1dev

* Tue Nov 17 2015 Remi Collet <remi@fedoraproject.org> - 3.3.0-0.7.20151115gita806b85
- update for test against IM 6.9.2-6

* Tue Nov  3 2015 Remi Collet <remi@fedoraproject.org> - 3.3.0-0.6.20150930gitfccdde3
- git snapshot for PHP 7

* Thu Aug 13 2015 Remi Collet <remi@fedoraproject.org> - 3.3.0-0.5.RC2
- rebuild

* Fri Jun 19 2015 Remi Collet <remi@fedoraproject.org> - 3.3.0-0.4.RC2
- allow build against rh-php56 (as more-php56)

* Tue Jun  2 2015 Remi Collet <remi@fedoraproject.org> - 3.3.0-0.3.RC2
- update to 3.3.0RC2

* Mon Mar 30 2015 Remi Collet <remi@fedoraproject.org> - 3.3.0-0.2.RC1
- update to 3.3.0RC1
- drop runtime dependency on pear, new scriptlets
- set imagick.skip_version_check=1 in default configuration

* Wed Dec 24 2014 Remi Collet <remi@fedoraproject.org> - 3.2.0-0.10.RC1
- Fedora 21 SCL mass rebuild

* Mon Aug 25 2014 Remi Collet <rpms@famillecollet.com> - 3.2.0-0.9.RC1
- rebuild against new ImageMagick-last version 6.8.7-4

* Mon Aug 25 2014 Remi Collet <rcollet@redhat.com> - 3.2.0-0.8.RC1
- improve SCL build

* Wed Jul 23 2014 Remi Collet <remi@fedoraproject.org> - 3.2.0-0.7.RC1
- ignore tests/bug20636.phpt with IM 6.7.8.9
- add fix for php 5.6 https://github.com/mkoppanen/imagick/pull/35

* Mon Apr 14 2014 Remi Collet <remi@fedoraproject.org> - 3.2.0-0.6.RC1
- rebuild for ImageMagick

* Wed Apr  9 2014 Remi Collet <remi@fedoraproject.org> - 3.2.0-0.5.RC1
- add numerical prefix to extension configuration file

* Wed Mar 19 2014 Remi Collet <remi@fedoraproject.org> - 3.2.0-0.4.RC1
- allow SCL build

* Mon Mar 10 2014 Remi Collet <remi@fedoraproject.org> - 3.2.0-0.3.RC1
- cleanups for Copr

* Tue Nov 26 2013 Remi Collet <remi@fedoraproject.org> - 3.2.0-0.2.RC1
- Update to 3.2.0RC1 (beta)
- add devel sub-package

* Sat Nov  2 2013 Remi Collet <rpms@famillecollet.com> - 3.1.2-2
- rebuild against new ImageMagick-last version 6.8.7-4
- install doc in pecl doc_dir

* Sun Oct 20 2013 Remi Collet <remi@fedoraproject.org> - 3.2.0-0.1.b2
- Update to 3.2.0b2
- install doc in pecl doc_dir
- install tests in pecl test_dir

* Wed Sep 25 2013 Remi Collet <remi@fedoraproject.org> - 3.1.2-1
- Update to 3.1.2
- add LICENSE to doc

* Sun Sep 22 2013 Remi Collet <remi@fedoraproject.org> - 3.1.1-1
- Update to 3.1.1
- open some upstream bugs
  https://bugs.php.net/65734 - Please Provides LICENSE file
  https://bugs.php.net/65736 - Link to sources
  https://bugs.php.net/65736 - Broken ZTS build

* Sun Sep  8 2013 Remi Collet <rpms@famillecollet.com> - 3.1.0-1
- update to 3.1.0 (beta)

* Sun Jun  2 2013 Remi Collet <rpms@famillecollet.com> - 3.1.0-0.10.RC2
- rebuild against new ImageMagick-last version 6.8.5-9

* Sat Apr  6 2013 Remi Collet <rpms@famillecollet.com> - 3.1.0-0.9.RC2
- rebuild against new ImageMagick-last version 6.8.4-6
- improve dependency on ImageMagick library

* Wed Mar 13 2013 Remi Collet <rpms@famillecollet.com> - 3.1.0-0.8.RC2
- rebuild against new ImageMagick-last version 6.8.3.9

* Fri Nov 30 2012 Remi Collet <remi@fedoraproject.org> - 3.1.0-0.5.RC2
- also provides php-imagick

* Sat Sep  8 2012 Remi Collet <remi@fedoraproject.org> - 3.1.0-0.4.RC2
- Obsoletes php53*, php54* on EL

* Thu Aug 16 2012 Remi Collet <rpms@famillecollet.com> - 3.1.0-0.3.RC2
- rebuild against new ImageMagick-last version 6.7.8.10

* Sat Jun 02 2012 Remi Collet <Fedora@FamilleCollet.com> - 3.1.0-0.2.RC2
- update to 3.1.0RC1

* Fri Nov 18 2011 Remi Collet <Fedora@FamilleCollet.com> - 3.1.0-0.1.RC1
- update to 3.1.0RC1 for php 5.4

* Mon Oct 03 2011 Remi Collet <Fedora@FamilleCollet.com> - 3.0.1-3.1
- spec cleanup

* Wed Aug 24 2011 Remi Collet <Fedora@FamilleCollet.com> - 3.0.1-3
- build zts extension

* Mon Dec 27 2010 Remi Collet <rpms@famillecollet.com> 3.0.1-2
- relocate using phpname macro

* Fri Nov 26 2010 Remi Collet <rpms@famillecollet.com> 3.0.1-1.1
- rebuild against latest ImageMagick 6.6.5.10

* Thu Nov 25 2010 Remi Collet <rpms@famillecollet.com> 3.0.1-1
- update to 3.0.1

* Mon Jul 26 2010 Remi Collet <rpms@famillecollet.com> 3.0.0-1
- update to 3.0.0

* Wed Aug 26 2009 Remi Collet <rpms@famillecollet.com> 2.3.0-2
- build against ImageMagick2 6.5.x

* Mon Aug 24 2009 Remi Collet <rpms@famillecollet.com> 2.3.0-1
- update to 2.3.0

* Tue Jun 30 2009 Remi Collet <rpms@famillecollet.com> 2.2.2-3.###.remi
- rebuild for PHP 5.3.0 (API = 20090626)

* Sat Apr 25 2009 Remi Collet <rpms@famillecollet.com> 2.2.2-2.fc11.remi
- F11 rebuild for PHP 5.3.0RC1

* Wed Feb 25 2009 Remi Collet <rpms@famillecollet.com> 2.2.2-1.fc10.remi
- update to 2.2.2 for php 5.3.0beta1

* Thu Jan 29 2009 Remi Collet <rpms@famillecollet.com> 2.2.1-1.fc10.remi.2
- rebuild for php 5.3.0beta1

* Sat Dec 13 2008 Remi Collet <rpms@famillecollet.com> 2.2.1-1.fc#.remi.1
- rebuild with php 5.3.0-dev
- add imagick-2.2.1-php53.patch

* Sat Dec 13 2008 Remi Collet <rpms@famillecollet.com> 2.2.1-1
- update to 2.2.1

* Sat Jul 19 2008 Remi Collet <rpms@famillecollet.com> 2.2.0-1.fc9.remi.1
- rebuild with php 5.3.0-dev

* Sat Jul 19 2008 Remi Collet <rpms@famillecollet.com> 2.2.0-1
- update to 2.2.0

* Thu Apr 24 2008 Remi Collet <rpms@famillecollet.com> 2.1.1-1
- Initial package

